%define __strip %{mingw32_strip}
%define __objdump %{mingw32_objdump}

%global upstream_version 31b3bf3

Name:		mingw-srvany
Version:	1.0
Release:	10%{?dist}
Summary:	Utility for creating services for Windows

Group:		Development/Libraries
License:	GPLv2+
URL:		http://github.com/beekhof/mingw32-srvany
Source0:	http://github.com/downloads/beekhof/mingw32-srvany/mingw32-srvany-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	automake autoconf libtool
BuildRequires:	redhat-rpm-config
BuildRequires:	mingw32-filesystem
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-gcc-c++
BuildRequires:	mingw32-binutils

%description
Utility for creating a service from any MinGW Windows binary


%package -n mingw32-srvany
Summary:	Utility for creating services for Windows

%description -n mingw32-srvany
Utility for creating a service from any MinGW Windows binary


%prep
%setup -q -n beekhof-mingw32-srvany-%{upstream_version}

%build
autoreconf -i
%{mingw32_configure}
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files -n mingw32-srvany
%{mingw32_bindir}/srvany.exe
%doc COPYING
%doc AUTHORS

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 1.0-8
- Renamed the source package to mingw-srvany (#801031)
- Modernize the spec file
- Use mingw macros without leading underscore

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.0-7
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 3 2010 Andrew Beekhof <andrew@beekhof.net> - 1.0-4
- Fixed the license tag

* Mon Oct 25 2010 Andrew Beekhof <andrew@beekhof.net> - 1.0-3
- Incorporate feedback from Fedora review

* Mon Sep 13 2010 Andrew Beekhof <andrew@beekhof.net> - 1.0-1
- Initial build.
